import sys
sys.setClassLoader (CLASSLOADER)

sys.add_package("com.modeliosoft.modelio.api")
sys.add_package("com.modeliosoft.modelio.api.model")
sys.add_package("com.modeliosoft.modelio.api.model.utils")
sys.add_package("com.modeliosoft.modelio.api.diagram")
sys.add_package("com.modeliosoft.modelio.api.diagram.style")
sys.add_package("com.modeliosoft.modelio.api.diagram.tools")
sys.add_package("com.modeliosoft.modelio.api.app")
sys.add_package("com.modeliosoft.modelio.api.model.analyst")
sys.add_package("com.modeliosoft.modelio.api.model.bpmn")
sys.add_package("com.modeliosoft.modelio.api.model.diagrams")
sys.add_package("com.modeliosoft.modelio.api.model.extension")
sys.add_package("com.modeliosoft.modelio.api.model.uml")
sys.add_package("com.modeliosoft.modelio.api.model.uml.behavior")
sys.add_package("com.modeliosoft.modelio.api.model.uml.information")
sys.add_package("com.modeliosoft.modelio.api.model.uml.statik")
sys.add_package("com.modeliosoft.modelio.api.model.uml.usecase")
sys.add_package("com.modeliosoft.modelio.api.model.uml.infrastructure")


from com.modeliosoft.modelio.api.model.analyst import IAnalystProject
from com.modeliosoft.modelio.api.model.analyst import IDictionary
from com.modeliosoft.modelio.api.model.analyst import IDictionaryElement
from com.modeliosoft.modelio.api.model.analyst import IEnumeratedPropertyType
from com.modeliosoft.modelio.api.model.analyst import IProperty
from com.modeliosoft.modelio.api.model.analyst import IPropertyContainer
from com.modeliosoft.modelio.api.model.analyst import IPropertyEnumerationLitteral
from com.modeliosoft.modelio.api.model.analyst import IPropertySet
from com.modeliosoft.modelio.api.model.analyst import IPropertyType
from com.modeliosoft.modelio.api.model.analyst import IPropertyValue
from com.modeliosoft.modelio.api.model.analyst import IPropertyValueSet
from com.modeliosoft.modelio.api.model.analyst import IRequirement
from com.modeliosoft.modelio.api.model.analyst import IRequirementContainer
from com.modeliosoft.modelio.api.model.analyst import IRequirementElement
from com.modeliosoft.modelio.api.model.analyst import ITerm
from com.modeliosoft.modelio.api.model.bpmn import ObBpmnProcessTypeEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnAssociation
from com.modeliosoft.modelio.api.model.bpmn import IBpmnBaseElement
from com.modeliosoft.modelio.api.model.bpmn import IBpmnImplicitThrowEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnIntermediateCatchEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnStandardLoopCharacteristics
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSubProcess
from com.modeliosoft.modelio.api.model.bpmn import IBpmnTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnTransaction
from com.modeliosoft.modelio.api.model.bpmn import ObTransactionMethodEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnUserTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnBoundaryEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnCancelEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnCatchEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnIntermediateThrowEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnLinkEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnMessageEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnArtifact
from com.modeliosoft.modelio.api.model.bpmn import IBpmnManualTask
from com.modeliosoft.modelio.api.model.bpmn import ObMultiInstanceBehaviorEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnMultiInstanceLoopCharacteristics
from com.modeliosoft.modelio.api.model.bpmn import IBpmnReceiveTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnScriptTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSendTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnServiceTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnLane
from com.modeliosoft.modelio.api.model.bpmn import IBpmnLaneSet
from com.modeliosoft.modelio.api.model.bpmn import IBpmnParticipant
from com.modeliosoft.modelio.api.model.bpmn import IBpmnProcess
from com.modeliosoft.modelio.api.model.bpmn import IBpmnActivity
from com.modeliosoft.modelio.api.model.bpmn import ObAdHocOrderingEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnAdHocSubProcess
from com.modeliosoft.modelio.api.model.bpmn import IBpmnBusinessRuleTask
from com.modeliosoft.modelio.api.model.bpmn import IBpmnCallActivity
from com.modeliosoft.modelio.api.model.bpmn import IBpmnComplexBehaviorDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnLoopCharacteristics
from com.modeliosoft.modelio.api.model.bpmn import IBpmnMessage
from com.modeliosoft.modelio.api.model.bpmn import IBpmnMessageFlow
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSequenceFlow
from com.modeliosoft.modelio.api.model.bpmn import IBpmnCollaboration
from com.modeliosoft.modelio.api.model.bpmn import IBpmnFlowElement
from com.modeliosoft.modelio.api.model.bpmn import IBpmnFlowNode
from com.modeliosoft.modelio.api.model.bpmn import IBpmnGroup
from com.modeliosoft.modelio.api.model.bpmn import IBpmnRootElement
from com.modeliosoft.modelio.api.model.bpmn import IBpmnBehavior
from com.modeliosoft.modelio.api.model.bpmn import IBpmnCompensateEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnConditionalEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEndEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnErrorEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEscalationEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSignalEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnStartEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnTerminateEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import IBpmnThrowEvent
from com.modeliosoft.modelio.api.model.bpmn import IBpmnTimerEventDefinition
from com.modeliosoft.modelio.api.model.bpmn import ObBpmnEventBasedGatewayTypeEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnExclusiveGateway
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataOutput
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataInput
from com.modeliosoft.modelio.api.model.bpmn import IBpmnItemAwareElement
from com.modeliosoft.modelio.api.model.bpmn import IBpmnItemDefinition
from com.modeliosoft.modelio.api.model.bpmn import ObBpmnItemKindEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataState
from com.modeliosoft.modelio.api.model.bpmn import IBpmnResourceParameterBinding
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSubProcessDiagram
from com.modeliosoft.modelio.api.model.bpmn import IBpmnOperation
from com.modeliosoft.modelio.api.model.bpmn import IBpmnGateway
from com.modeliosoft.modelio.api.model.bpmn import ObBpmnGatewayDirectionEnum
from com.modeliosoft.modelio.api.model.bpmn import IBpmnInclusiveGateway
from com.modeliosoft.modelio.api.model.bpmn import IBpmnParallelGateway
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataStore
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataAssociation
from com.modeliosoft.modelio.api.model.bpmn import IBpmnSequenceFlowDataAssociation
from com.modeliosoft.modelio.api.model.bpmn import IBpmnComplexGateway
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEventBasedGateway
from com.modeliosoft.modelio.api.model.bpmn import IBpmnInterface
from com.modeliosoft.modelio.api.model.bpmn import IBpmnEndPoint
from com.modeliosoft.modelio.api.model.bpmn import IBpmnProcessCollaborationDiagram
from com.modeliosoft.modelio.api.model.bpmn import IBpmnResource
from com.modeliosoft.modelio.api.model.bpmn import IBpmnResourceParameter
from com.modeliosoft.modelio.api.model.bpmn import IBpmnResourceRole
from com.modeliosoft.modelio.api.model.bpmn import IBpmnDataObject
from com.modeliosoft.modelio.api.model.bpmn import ObBpmnAssociationDirectionEnum
from com.modeliosoft.modelio.api.model.bpmn import ObOptionalBooleanEnum
from com.modeliosoft.modelio.api.model.diagrams import IAbstractDiagram
from com.modeliosoft.modelio.api.model.diagrams import IActivityDiagram
from com.modeliosoft.modelio.api.model.diagrams import IBehaviorDiagram
from com.modeliosoft.modelio.api.model.diagrams import ISequenceDiagram
from com.modeliosoft.modelio.api.model.diagrams import IStaticDiagram
from com.modeliosoft.modelio.api.model.diagrams import IDiagramSet
from com.modeliosoft.modelio.api.model.diagrams import IDiagramContainer
from com.modeliosoft.modelio.api.model.diagrams import IClassDiagram
from com.modeliosoft.modelio.api.model.diagrams import ICommunicationDiagram
from com.modeliosoft.modelio.api.model.diagrams import IDeploymentDiagram
from com.modeliosoft.modelio.api.model.diagrams import IUseCaseDiagram
from com.modeliosoft.modelio.api.model.diagrams import IStateMachineDiagram
from com.modeliosoft.modelio.api.model.diagrams import IObjectDiagram
from com.modeliosoft.modelio.api.model.extension import IConfigParam
from com.modeliosoft.modelio.api.model.extension import IModule
from com.modeliosoft.modelio.api.model.extension import IProject
from com.modeliosoft.modelio.api.model.extension import ObConfigParamTypeEnum
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IAcceptCallEventAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IAcceptChangeEventAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IAcceptSignalAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IAcceptTimeEventAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivity
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityEdge
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityFinalNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityGroup
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityParameterNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IActivityPartition
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ICallAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ICallBehaviorAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ICallOperationAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ICentralBufferNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IClause
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IConditionalNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IControlFlow
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IControlNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IDataStoreNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IDecisionMergeNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IExceptionHandler
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IExpansionNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IExpansionRegion
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IFinalNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IFlowFinalNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IForkJoinNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IInitialNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IInputPin
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IInstanceNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IInterruptibleActivityRegion
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ILoopNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IMessageFlow
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IObjectFlow
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IObjectNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IOpaqueAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IOutputPin
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IPin
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ISendSignalAction
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IStructuredActivityNode
from com.modeliosoft.modelio.api.model.uml.behavior.activity import IValuePin
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ObDecisionNodeKindEnum
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ObExpansionKindEnum
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ObObjectFlowEffectKindEnum
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ObObjectNodeOrderingKindEnum
from com.modeliosoft.modelio.api.model.uml.behavior.activity import ObPinPassingModeEnum 
from com.modeliosoft.modelio.api.model.uml.behavior.communication import ICommunicationChannel
from com.modeliosoft.modelio.api.model.uml.behavior.communication import ICommunicationInteraction
from com.modeliosoft.modelio.api.model.uml.behavior.communication import ICommunicationMessage
from com.modeliosoft.modelio.api.model.uml.behavior.communication import ICommunicationNode
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ICombinedFragment
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IDurationConstraint
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IExecutionOccurenceSpecification
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IExecutionSpecification
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IGate
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IGeneralOrdering
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IInteraction
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IInteractionFragment
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IInteractionOperand
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IInteractionUse
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ILifeline
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IMessage
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IMessageEnd
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IOccurrenceSpecification
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import IPartDecomposition
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ITerminateSpecification
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ObInteractionOperatorEnum
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ObMessageKindEnum
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ObMessageSortEnum
from com.modeliosoft.modelio.api.model.uml.behavior.interaction import ObRelativeTimeEnum
from com.modeliosoft.modelio.api.model.uml.behavior.state import IAbstractPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IChoicePseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IConnectionPointReference
from com.modeliosoft.modelio.api.model.uml.behavior.state import IDeepHistoryPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IEntryPointPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IEvent
from com.modeliosoft.modelio.api.model.uml.behavior.state import IExitPointPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IFinalState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IForkPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IInitialPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IInternalTransition
from com.modeliosoft.modelio.api.model.uml.behavior.state import IJoinPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IJunctionPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IRegion
from com.modeliosoft.modelio.api.model.uml.behavior.state import IShallowHistoryPseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IState
from com.modeliosoft.modelio.api.model.uml.behavior.state import IStateInvariant
from com.modeliosoft.modelio.api.model.uml.behavior.state import IStateMachine
from com.modeliosoft.modelio.api.model.uml.behavior.state import IStateVertex
from com.modeliosoft.modelio.api.model.uml.behavior.state import ITerminatePseudoState
from com.modeliosoft.modelio.api.model.uml.behavior.state import ITransition
from com.modeliosoft.modelio.api.model.uml.behavior.state import ObKindOfControlEnum
from com.modeliosoft.modelio.api.model.uml.behavior.state import ObKindOfStateMachineEnum
from com.modeliosoft.modelio.api.model.uml.behavior.state import ObPredefinedEventTypeEnum
from com.modeliosoft.modelio.api.model.uml.behavior.common import IBehavior
from com.modeliosoft.modelio.api.model.uml.behavior.common import IBehaviorParameter
from com.modeliosoft.modelio.api.model.uml.behavior.common import IOpaqueBehavior
from com.modeliosoft.modelio.api.model.uml.behavior.common import ISignal
from com.modeliosoft.modelio.api.model.uml.behavior.common import ObEventTypeEnum
from com.modeliosoft.modelio.api.model.uml.behavior.common import ObParameterEffectKindEnum
from com.modeliosoft.modelio.api.model.uml.information import IInformationFlow
from com.modeliosoft.modelio.api.model.uml.information import IInformationItem
from com.modeliosoft.modelio.api.model.uml.statik import IArtifact
from com.modeliosoft.modelio.api.model.uml.statik import IAssociation
from com.modeliosoft.modelio.api.model.uml.statik import IAssociationEnd
from com.modeliosoft.modelio.api.model.uml.statik import IAttribute
from com.modeliosoft.modelio.api.model.uml.statik import IAttributeLink
from com.modeliosoft.modelio.api.model.uml.statik import IBindableInstance
from com.modeliosoft.modelio.api.model.uml.statik import IBinding
from com.modeliosoft.modelio.api.model.uml.statik import IClass
from com.modeliosoft.modelio.api.model.uml.statik import IClassAssociation
from com.modeliosoft.modelio.api.model.uml.statik import IClassifier
from com.modeliosoft.modelio.api.model.uml.statik import ICollaboration
from com.modeliosoft.modelio.api.model.uml.statik import ICollaborationUse
from com.modeliosoft.modelio.api.model.uml.statik import IComponent
from com.modeliosoft.modelio.api.model.uml.statik import IConnector
from com.modeliosoft.modelio.api.model.uml.statik import IConnectorEnd
from com.modeliosoft.modelio.api.model.uml.statik import IDataFlow
from com.modeliosoft.modelio.api.model.uml.statik import IDataType
from com.modeliosoft.modelio.api.model.uml.statik import IElementImport
from com.modeliosoft.modelio.api.model.uml.statik import IEnumeration
from com.modeliosoft.modelio.api.model.uml.statik import IEnumerationLiteral
from com.modeliosoft.modelio.api.model.uml.statik import IFeature
from com.modeliosoft.modelio.api.model.uml.statik import IGeneralClass
from com.modeliosoft.modelio.api.model.uml.statik import IGeneralization
from com.modeliosoft.modelio.api.model.uml.statik import IInstance
from com.modeliosoft.modelio.api.model.uml.statik import IInterface
from com.modeliosoft.modelio.api.model.uml.statik import IInterfaceRealization
from com.modeliosoft.modelio.api.model.uml.statik import ILink
from com.modeliosoft.modelio.api.model.uml.statik import ILinkEnd
from com.modeliosoft.modelio.api.model.uml.statik import IManifestation
from com.modeliosoft.modelio.api.model.uml.statik import IModelTree
from com.modeliosoft.modelio.api.model.uml.statik import INameSpace
from com.modeliosoft.modelio.api.model.uml.statik import INamespaceUse
from com.modeliosoft.modelio.api.model.uml.statik import INode
from com.modeliosoft.modelio.api.model.uml.statik import IOperation
from com.modeliosoft.modelio.api.model.uml.statik import IPackage
from com.modeliosoft.modelio.api.model.uml.statik import IPackageImport
from com.modeliosoft.modelio.api.model.uml.statik import IPackageMerge
from com.modeliosoft.modelio.api.model.uml.statik import IParameter
from com.modeliosoft.modelio.api.model.uml.statik import IPort
from com.modeliosoft.modelio.api.model.uml.statik import IProvidedInterface
from com.modeliosoft.modelio.api.model.uml.statik import IRaisedException
from com.modeliosoft.modelio.api.model.uml.statik import IRequiredInterface
from com.modeliosoft.modelio.api.model.uml.statik import ITemplateBinding
from com.modeliosoft.modelio.api.model.uml.statik import ITemplateParameter
from com.modeliosoft.modelio.api.model.uml.statik import ITemplateParameterSubstitution
from com.modeliosoft.modelio.api.model.uml.statik import ObAggregationKindEnum
from com.modeliosoft.modelio.api.model.uml.statik import ObKindOfAccessEnum
from com.modeliosoft.modelio.api.model.uml.statik import ObMethodPassingModeEnum
from com.modeliosoft.modelio.api.model.uml.statik import ObPassingModeEnum
from com.modeliosoft.modelio.api.model.uml.statik import ObVisibilityModeEnum
from com.modeliosoft.modelio.api.model.uml.usecase import IActor
from com.modeliosoft.modelio.api.model.uml.usecase import IExtensionPoint
from com.modeliosoft.modelio.api.model.uml.usecase import IUseCase
from com.modeliosoft.modelio.api.model.uml.usecase import IUseCaseDependency
from com.modeliosoft.modelio.api.model.uml.infrastructure import IAbstraction
from com.modeliosoft.modelio.api.model.uml.infrastructure import IConstraint
from com.modeliosoft.modelio.api.model.uml.infrastructure import IDependency
from com.modeliosoft.modelio.api.model.uml.infrastructure import IElement
from com.modeliosoft.modelio.api.model.uml.infrastructure import IElementRealization
from com.modeliosoft.modelio.api.model.uml.infrastructure import IElementStatus
from com.modeliosoft.modelio.api.model.uml.infrastructure import ILocalNote
from com.modeliosoft.modelio.api.model.uml.infrastructure import ILocalTaggedValue
from com.modeliosoft.modelio.api.model.uml.infrastructure import IMetaclassReference
from com.modeliosoft.modelio.api.model.uml.infrastructure import IModelElement
from com.modeliosoft.modelio.api.model.uml.infrastructure import INote
from com.modeliosoft.modelio.api.model.uml.infrastructure import INoteType
from com.modeliosoft.modelio.api.model.uml.infrastructure import IProfile
from com.modeliosoft.modelio.api.model.uml.infrastructure import IStereotype
from com.modeliosoft.modelio.api.model.uml.infrastructure import ISubstitution
from com.modeliosoft.modelio.api.model.uml.infrastructure import ITagParameter
from com.modeliosoft.modelio.api.model.uml.infrastructure import ITagType
from com.modeliosoft.modelio.api.model.uml.infrastructure import ITaggedValue
from com.modeliosoft.modelio.api.model.uml.infrastructure import IUsage

from com.modeliosoft.modelio.api.app import IModelioContext
from com.modeliosoft.modelio.api.app.navigation import INavigationListener
from com.modeliosoft.modelio.api.app.navigation import INavigationService
from com.modeliosoft.modelio.api.app.picking import IPickingService
from com.modeliosoft.modelio.api.app.picking import IPickingProvider
from com.modeliosoft.modelio.api.app.picking import IPickingClient
from com.modeliosoft.modelio.api.astyle import AStyle
from com.modeliosoft.modelio.api.astyle import AStyleInterface
from com.modeliosoft.modelio.api.audit import IAuditService
from com.modeliosoft.modelio.api.diagram import IDiagramGraphic
from com.modeliosoft.modelio.api.diagram import IDiagramLink
from com.modeliosoft.modelio.api.diagram import IDiagramNode
from com.modeliosoft.modelio.api.diagram import ILinkPath
from com.modeliosoft.modelio.api.diagram import InvalidDestinationPointException
from com.modeliosoft.modelio.api.diagram import InvalidPointsPathException
from com.modeliosoft.modelio.api.diagram import InvalidSourcePointException
from com.modeliosoft.modelio.api.diagram.dg import IDiagramDG
from com.modeliosoft.modelio.api.diagram import IDiagramHandle
from com.modeliosoft.modelio.api.diagram import IDiagramCustomizer
from com.modeliosoft.modelio.api.diagram import IDiagramService
from com.modeliosoft.modelio.api.diagram.tools import DefaultAttachedBoxCommand
from com.modeliosoft.modelio.api.diagram.tools import DefaultBoxCommand
from com.modeliosoft.modelio.api.diagram.tools import DefaultLinkCommand
from com.modeliosoft.modelio.api.diagram.tools import DefaultMultiLinkCommand
from com.modeliosoft.modelio.api.diagram.tools import IAttachedBoxCommand
from com.modeliosoft.modelio.api.diagram.tools import IBoxCommand
from com.modeliosoft.modelio.api.diagram.tools import IDiagramCommand
from com.modeliosoft.modelio.api.diagram.tools import ILinkCommand
from com.modeliosoft.modelio.api.diagram.tools import IMultiLinkCommand
from com.modeliosoft.modelio.api.diagram.style import IStyleHandle
from com.modeliosoft.modelio.api.editor import IEditionService
from com.modeliosoft.modelio.api.editor import IMDATextEditor
from com.modeliosoft.modelio.api.editor import IMDAEditorListener
from com.modeliosoft.modelio.api.mc import DefaultModelComponentContent
from com.modeliosoft.modelio.api.mc import IModelComponentContent
from com.modeliosoft.modelio.api.mc import IModelComponentContributor
from com.modeliosoft.modelio.api.mc import IModelComponentDescriptor
from com.modeliosoft.modelio.api.mc import IModelComponentService
from com.modeliosoft.modelio.api.meta import IMetamodelService
from com.modeliosoft.modelio.api.model import IAnalystModel
from com.modeliosoft.modelio.api.model import IDefaultNameService
from com.modeliosoft.modelio.api.model import IImageService
from com.modeliosoft.modelio.api.model import IMetamodelExtensions
from com.modeliosoft.modelio.api.model import InvalidPathException
from com.modeliosoft.modelio.api.model import InvalidTransactionException
from com.modeliosoft.modelio.api.model import InvalidUuidException
from com.modeliosoft.modelio.api.model import ObUtils
from com.modeliosoft.modelio.api.model import UMLPath
from com.modeliosoft.modelio.api.model.change import IElementDeletedEvent
from com.modeliosoft.modelio.api.model.change import IElementMovedEvent
from com.modeliosoft.modelio.api.model.change import IModelChangeEvent
from com.modeliosoft.modelio.api.model.change import IModelChangeHandler
from com.modeliosoft.modelio.api.model.change import IModelChangeListener
from com.modeliosoft.modelio.api.model.change import IStatusChangeEvent
from com.modeliosoft.modelio.api.model.change import IStatusChangeHandler
from com.modeliosoft.modelio.api.model.change import IStatusChangeListener
from com.modeliosoft.modelio.api.model import IModelingSession
from com.modeliosoft.modelio.api.model import IModelManipulationService
from com.modeliosoft.modelio.api.model import ITransaction
from com.modeliosoft.modelio.api.model import IUMLTypes
from com.modeliosoft.modelio.api.model import IUmlModel
from com.modeliosoft.modelio.api.modelio import Modelio
from com.modeliosoft.modelio.api.modelio import Version
from com.modeliosoft.modelio.api.module import IModuleService
from com.modeliosoft.modelio.api.module import IPeerMdac
from com.modeliosoft.modelio.api.module import IMdacConfiguration
from com.modeliosoft.modelio.api.log import ILogService
from com.modeliosoft.modelio.api import Messages